Integration Path
Start with these sections:-
Core API- The unified inference surface.
- Includes
/v1/models,/v1/chat/completions,/v1/responses,/v1/embeddings,/v1/images/generations,/v1/audio/*, and/v1/videos*.
-
Compatibility API- For Claude, Gemini, Kling, Jimeng, and other provider-specific or compatibility formats.
- Includes
/v1/messages,/v1beta/models/{model}:generateContent,/kling/*, and/jimeng.
Base URLs
- Inference and compatibility APIs:
https://api.nusabasedigital.com
Recommended path
- Prepare your API key (
sk-...) - Call
GET /v1/models - Send your first
POST /v1/chat/completions - If you already use Claude or Gemini SDKs, continue with Compatibility Formats